D4Science Infrastructure - Support #397
Task # 293 (Closed): Make any Liferay user to access Redmine (through LDAP Credentials)

Export Liferay Portal users to LDAP
Jul 20, 2015 03:06 PM - Massimiliano Assante

Status: Closed Start date: Jul 20, 2015
Priority: Urgent Due date:

Assignee: Massimiliano Assante % Done: 100%
Category: Other Estimated time: 0.00 hour
Infrastructure: Production

Description

The Liferay Portal users should be exported to the new LDAP instance

History

#1 - Jul 20, 2015 03:07 PM - Massimiliano Assante
- Parent task set to #293

#2 - Jul 20, 2015 03:07 PM - Massimiliano Assante

- Status changed from New to In Progress

#3 - Jul 20, 2015 03:17 PM - Massimiliano Assante
- Status changed from In Progress to Paused

- % Done changed from 0 to 20

| was able to setup a script that does the Job, however | don't have permission to write to LDAP. Tommaso is working on this.

#4 - Jul 20, 2015 03:20 PM - Massimiliano Assante

In the meantime we may decide the policy to adopt in case of user conflict. What should the script do if it finds that user pasquale.pagano at ISTI..
already exists in LDAP?

#5 - Jul 20, 2015 03:41 PM - Massimiliano Assante

if it finds an already existing user it will update the user password regardless

#6 - Jul 20, 2015 05:11 PM - Massimiliano Assante
- Status changed from Paused to In Progress

- % Done changed from 20 to 50

We were able to programmatically export the users of dev.d4science.org to this new LDAP instance

#7 - Jul 20, 2015 06:16 PM - Massimiliano Assante
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#8 - Jul 21, 2015 08:10 PM - Andrea Dell'Amico
- Status changed from Resolved to In Progress

- % Done changed from 100 to 90

One small quirk:
the main Idap server uses 'givenName' for the First name, ‘cn:' for "first name last name’', 'sn' for the last name

You are exporting 'sn:' as first name and 'cn:' as last name.

Can you change and use the main Idap convention? It's the standard one.

#9 - Jul 22, 2015 11:32 AM - Massimiliano Assante

Sep 19, 2025 1/2




ok I'll stick with the Idap convention

#10 - Jul 22, 2015 01:05 PM - Massimiliano Assante
- Status changed from In Progress to Closed

- % Done changed from 90 to 100
